<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Document</title>
        <link rel="stylesheet" href="css/estilos.css">
        <link href="https://fonts.googleapis.com/css?family=Kaushan+Script" rel="stylesheet">
        
        <link href="https://fonts.googleapis.com/css?family=Titillium+Web" rel="stylesheet">
        
        <script src="js/jquery-3.3.1.min.js"></script>
        
        <style>
            .hidden{
                display: none;
            }
            #id_img_fondo{    
                width: 100% ; /* en porcentaje (el highlight del foro lo trasforma) */
                height: 100vh;
                top:0;
                left:0;
                position:fixed;
                z-index: -1;  
                background-size: cover;
            }
            
            div {
                background: rgba(134, 76, 54, 0.29);
                width: 70%;
                margin: auto;
                padding: 5px 0 5px 0px;
                margin-bottom: 20px;
                text-shadow: 4px 5px 7px black;
                
            }
            h3{
                text-align: center;
                font-size: 50px;
                font-family: 'Kaushan Script', cursive;
                text-shadow: 2px 2px 2px #ffffff;
                letter-spacing: 3px;
            }
            p , ul li{
                margin-left: 20%;
                font-size: 20px;
                font-family: 'Titillium Web', sans-serif;
                font-weight: bold;
            }
        </style>
    </head>
    <body>
       
       <img src="img/star-wars2.jpg" alt="" id="id_img_fondo">
            <div class="personaje hidden">
                <h3 class="personaje__nombre"></h3>
                <p class="personaje__altura"></p>
                <p class="personaje__peso"></p>
                <p class="personaje__nacimiento"></p>
                <p class="personaje__genero"></p>
                <p class="personaje__links">
                    <ul>
                        <li class="personaje__link-mundo"><a href="" target="_blank">Mundo</a></li>
                        <!--li class="personaje__link-vehiculos"><a href="">Vehiculos</a></li>
                        <li class="personaje__link-naves"><a href="">Naves</a></li-->

                    </ul>
                </p>
            </div>
   
        <script>
            $.getJSON('https://swapi.co/api/people', function(data){//data es la respuesta del servidor
                console.log(data)
                
                var personajes = data.results//data.results es un array de todos los personajes
                
                
                for(var i =0; i<personajes.length; i++){
                    var contenedor = $('.personaje.hidden').clone()/**/
                    var personaje=personajes[i]
                    
                    $(contenedor)
                        .find('.personaje__nombre')/**/
                        .text(personaje.name)
                    
                    $(contenedor)
                        .find('.personaje__altura')/**/
                        .text(personaje.height)
                    
                    $(contenedor)
                        .find('.personaje__peso')/**/
                        .text(personaje.mas)
                    
                    $(contenedor)
                        .find('.personaje__nacimiento')/**/
                        .text(personaje.birth_year)
                    
                    $(contenedor)
                        .find('.personaje__genero')/**/
                        .text(personaje.gender)
                    
                    $(contenedor)
                        .find('.personaje__link-mundo a')/**/
                        .text(personaje.homeworld)
                        
                      //   $('a').append('href="'+ personaje.homeworld +'"')
                        
                         
                         
                         
                         
                         
                         
                         
                         
                         
                         
                         
                    contenedor
                    
                        .removeClass('hidden')/**/
                        .appendTo('body')
                }
//                personajes.forEach(function(personaje,index){
//                    //alert(personaje.name)
//                    var contenedor = $('.personaje.hidden').clone()/**/
//                    
//                    //aqui empieala magia
//                    
//                    contenedor
//                        .find('.personaje__nombre')/**/
//                        .text(personaje.nombre)
//                    
//                    
//                    contenedor
//                        .removeClass('hidden')/**/
//                        .appendTo('body')
//                });
                
                
            });
               
        </script>
        
    </body>
</html>